/[debian]/bti/trunk/Makefile.in
ViewVC logotype

Diff of /bti/trunk/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1951 by gregoa, Wed May 6 20:57:26 2009 UTC revision 1952 by gregoa, Wed Dec 2 15:49:24 2009 UTC
# Line 1  Line 1 
1  # Makefile.in generated by automake 1.10.2 from Makefile.am.  # Makefile.in generated by automake 1.11 from Makefile.am.
2  # @configure_input@  # @configure_input@
3    
4  # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,  # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5  # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.  # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6    # Inc.
7  # This Makefile.in is free software; the Free Software Foundation  # This Makefile.in is free software; the Free Software Foundation
8  # gives unlimited permission to copy and/or distribute it,  # gives unlimited permission to copy and/or distribute it,
9  # with or without modifications, as long as this notice is preserved.  # with or without modifications, as long as this notice is preserved.
# Line 17  Line 18 
18    
19  VPATH = @srcdir@  VPATH = @srcdir@
20  pkgdatadir = $(datadir)/@PACKAGE@  pkgdatadir = $(datadir)/@PACKAGE@
 pkglibdir = $(libdir)/@PACKAGE@  
21  pkgincludedir = $(includedir)/@PACKAGE@  pkgincludedir = $(includedir)/@PACKAGE@
22    pkglibdir = $(libdir)/@PACKAGE@
23    pkglibexecdir = $(libexecdir)/@PACKAGE@
24  am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd  am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25  install_sh_DATA = $(install_sh) -c -m 644  install_sh_DATA = $(install_sh) -c -m 644
26  install_sh_PROGRAM = $(install_sh) -c  install_sh_PROGRAM = $(install_sh) -c
# Line 45  am__CONFIG_DISTCLEAN_FILES = config.stat Line 47  am__CONFIG_DISTCLEAN_FILES = config.stat
47   configure.lineno config.status.lineno   configure.lineno config.status.lineno
48  mkinstalldirs = $(install_sh) -d  mkinstalldirs = $(install_sh) -d
49  CONFIG_CLEAN_FILES =  CONFIG_CLEAN_FILES =
50    CONFIG_CLEAN_VPATH_FILES =
51  am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" \  am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" \
52          "$(DESTDIR)$(man1dir)"          "$(DESTDIR)$(man1dir)"
 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)  
53  PROGRAMS = $(bin_PROGRAMS)  PROGRAMS = $(bin_PROGRAMS)
54  am_bti_OBJECTS = bti.$(OBJEXT)  am_bti_OBJECTS = bti.$(OBJEXT)
55  bti_OBJECTS = $(am_bti_OBJECTS)  bti_OBJECTS = $(am_bti_OBJECTS)
56  bti_LDADD = $(LDADD)  bti_LDADD = $(LDADD)
57  binSCRIPT_INSTALL = $(INSTALL_SCRIPT)  am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
58    am__vpath_adj = case $$p in \
59        $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
60        *) f=$$p;; \
61      esac;
62    am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
63    am__install_max = 40
64    am__nobase_strip_setup = \
65      srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
66    am__nobase_strip = \
67      for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
68    am__nobase_list = $(am__nobase_strip_setup); \
69      for p in $$list; do echo "$$p $$p"; done | \
70      sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
71      $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
72        if (++n[$$2] == $(am__install_max)) \
73          { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
74        END { for (dir in files) print dir, files[dir] }'
75    am__base_list = \
76      sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
77      sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
78  SCRIPTS = $(bin_SCRIPTS)  SCRIPTS = $(bin_SCRIPTS)
79  DEFAULT_INCLUDES = -I.@am__isrc@  DEFAULT_INCLUDES = -I.@am__isrc@
80  depcomp = $(SHELL) $(top_srcdir)/depcomp  depcomp = $(SHELL) $(top_srcdir)/depcomp
81  am__depfiles_maybe = depfiles  am__depfiles_maybe = depfiles
82    am__mv = mv -f
83  COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \  COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
84          $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)          $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
85    AM_V_CC = $(am__v_CC_$(V))
86    am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
87    am__v_CC_0 = @echo "  CC    " $@;
88    AM_V_at = $(am__v_at_$(V))
89    am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
90    am__v_at_0 = @
91  CCLD = $(CC)  CCLD = $(CC)
92  LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@  LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
93    AM_V_CCLD = $(am__v_CCLD_$(V))
94    am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
95    am__v_CCLD_0 = @echo "  CCLD  " $@;
96    AM_V_GEN = $(am__v_GEN_$(V))
97    am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
98    am__v_GEN_0 = @echo "  GEN   " $@;
99  SOURCES = $(bti_SOURCES)  SOURCES = $(bti_SOURCES)
100  DIST_SOURCES = $(bti_SOURCES)  DIST_SOURCES = $(bti_SOURCES)
101  man1dir = $(mandir)/man1  man1dir = $(mandir)/man1
# Line 72  DISTFILES = $(DIST_COMMON) $(DIST_SOURCE Line 107  DISTFILES = $(DIST_COMMON) $(DIST_SOURCE
107  distdir = $(PACKAGE)-$(VERSION)  distdir = $(PACKAGE)-$(VERSION)
108  top_distdir = $(distdir)  top_distdir = $(distdir)
109  am__remove_distdir = \  am__remove_distdir = \
110    { test ! -d $(distdir) \    { test ! -d "$(distdir)" \
111      || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \      || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
112           && rm -fr $(distdir); }; }           && rm -fr "$(distdir)"; }; }
113  DIST_ARCHIVES = $(distdir).tar.gz  DIST_ARCHIVES = $(distdir).tar.gz
114  GZIP_ENV = --best  GZIP_ENV = --best
115  distuninstallcheck_listfiles = find . -type f -print  distuninstallcheck_listfiles = find . -type f -print
116  distcleancheck_listfiles = find . -type f -print  distcleancheck_listfiles = find . -type f -print
117  ACLOCAL = @ACLOCAL@  ACLOCAL = @ACLOCAL@
118  AMTAR = @AMTAR@  AMTAR = @AMTAR@
119    AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
120  AUTOCONF = @AUTOCONF@  AUTOCONF = @AUTOCONF@
121  AUTOHEADER = @AUTOHEADER@  AUTOHEADER = @AUTOHEADER@
122  AUTOMAKE = @AUTOMAKE@  AUTOMAKE = @AUTOMAKE@
# Line 115  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ Line 151  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
151  PACKAGE_NAME = @PACKAGE_NAME@  PACKAGE_NAME = @PACKAGE_NAME@
152  PACKAGE_STRING = @PACKAGE_STRING@  PACKAGE_STRING = @PACKAGE_STRING@
153  PACKAGE_TARNAME = @PACKAGE_TARNAME@  PACKAGE_TARNAME = @PACKAGE_TARNAME@
154    PACKAGE_URL = @PACKAGE_URL@
155  PACKAGE_VERSION = @PACKAGE_VERSION@  PACKAGE_VERSION = @PACKAGE_VERSION@
156  PATH_SEPARATOR = @PATH_SEPARATOR@  PATH_SEPARATOR = @PATH_SEPARATOR@
157  SET_MAKE = @SET_MAKE@  SET_MAKE = @SET_MAKE@
# Line 201  $(srcdir)/Makefile.in:  $(srcdir)/Makefi Line 238  $(srcdir)/Makefile.in:  $(srcdir)/Makefi
238          @for dep in $?; do \          @for dep in $?; do \
239            case '$(am__configure_deps)' in \            case '$(am__configure_deps)' in \
240              *$$dep*) \              *$$dep*) \
241                echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \                echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
242                cd $(srcdir) && $(AUTOMAKE) --foreign  \                $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
243                  && exit 0; \                  && exit 0; \
244                exit 1;; \                exit 1;; \
245            esac; \            esac; \
246          done; \          done; \
247          echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \          echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
248          cd $(top_srcdir) && \          $(am__cd) $(top_srcdir) && \
249            $(AUTOMAKE) --foreign  Makefile            $(AUTOMAKE) --foreign Makefile
250  .PRECIOUS: Makefile  .PRECIOUS: Makefile
251  Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status  Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
252          @case '$?' in \          @case '$?' in \
# Line 225  $(top_builddir)/config.status: $(top_src Line 262  $(top_builddir)/config.status: $(top_src
262          $(SHELL) ./config.status --recheck          $(SHELL) ./config.status --recheck
263    
264  $(top_srcdir)/configure:  $(am__configure_deps)  $(top_srcdir)/configure:  $(am__configure_deps)
265          cd $(srcdir) && $(AUTOCONF)          $(am__cd) $(srcdir) && $(AUTOCONF)
266  $(ACLOCAL_M4):  $(am__aclocal_m4_deps)  $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
267          cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)          $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
268    $(am__aclocal_m4_deps):
269  install-binPROGRAMS: $(bin_PROGRAMS)  install-binPROGRAMS: $(bin_PROGRAMS)
270          @$(NORMAL_INSTALL)          @$(NORMAL_INSTALL)
271          test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"          test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
272          @list='$(bin_PROGRAMS)'; for p in $$list; do \          @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
273            p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \          for p in $$list; do echo "$$p $$p"; done | \
274            if test -f $$p \          sed 's/$(EXEEXT)$$//' | \
275            ; then \          while read p p1; do if test -f $$p; \
276              f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \            then echo "$$p"; echo "$$p"; else :; fi; \
277             echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \          done | \
278             $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \          sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
279            else :; fi; \              -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
280          done          sed 'N;N;N;s,\n, ,g' | \
281            $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
282              { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
283                if ($$2 == $$4) files[d] = files[d] " " $$1; \
284                else { print "f", $$3 "/" $$4, $$1; } } \
285              END { for (d in files) print "f", d, files[d] }' | \
286            while read type dir files; do \
287                if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
288                test -z "$$files" || { \
289                  echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
290                  $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
291                } \
292            ; done
293    
294  uninstall-binPROGRAMS:  uninstall-binPROGRAMS:
295          @$(NORMAL_UNINSTALL)          @$(NORMAL_UNINSTALL)
296          @list='$(bin_PROGRAMS)'; for p in $$list; do \          @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
297            f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \          files=`for p in $$list; do echo "$$p"; done | \
298            echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \            sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
299            rm -f "$(DESTDIR)$(bindir)/$$f"; \                -e 's/$$/$(EXEEXT)/' `; \
300          done          test -n "$$list" || exit 0; \
301            echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
302            cd "$(DESTDIR)$(bindir)" && rm -f $$files
303    
304  clean-binPROGRAMS:  clean-binPROGRAMS:
305          -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)          -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
306  bti$(EXEEXT): $(bti_OBJECTS) $(bti_DEPENDENCIES)  bti$(EXEEXT): $(bti_OBJECTS) $(bti_DEPENDENCIES)
307          @rm -f bti$(EXEEXT)          @rm -f bti$(EXEEXT)
308          $(LINK) $(bti_OBJECTS) $(bti_LDADD) $(LIBS)          $(AM_V_CCLD)$(LINK) $(bti_OBJECTS) $(bti_LDADD) $(LIBS)
309  install-binSCRIPTS: $(bin_SCRIPTS)  install-binSCRIPTS: $(bin_SCRIPTS)
310          @$(NORMAL_INSTALL)          @$(NORMAL_INSTALL)
311          test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"          test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
312          @list='$(bin_SCRIPTS)'; for p in $$list; do \          @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
313            for p in $$list; do \
314            if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \            if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
315            if test -f $$d$$p; then \            if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
316              f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \          done | \
317              echo " $(binSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(bindir)/$$f'"; \          sed -e 'p;s,.*/,,;n' \
318              $(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \              -e 'h;s|.*|.|' \
319            else :; fi; \              -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
320          done          $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
321              { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
322                if ($$2 == $$4) { files[d] = files[d] " " $$1; \
323                  if (++n[d] == $(am__install_max)) { \
324                    print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
325                else { print "f", d "/" $$4, $$1 } } \
326              END { for (d in files) print "f", d, files[d] }' | \
327            while read type dir files; do \
328                 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
329                 test -z "$$files" || { \
330                   echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
331                   $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
332                 } \
333            ; done
334    
335  uninstall-binSCRIPTS:  uninstall-binSCRIPTS:
336          @$(NORMAL_UNINSTALL)          @$(NORMAL_UNINSTALL)
337          @list='$(bin_SCRIPTS)'; for p in $$list; do \          @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
338            f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \          files=`for p in $$list; do echo "$$p"; done | \
339            echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \                 sed -e 's,.*/,,;$(transform)'`; \
340            rm -f "$(DESTDIR)$(bindir)/$$f"; \          test -n "$$list" || exit 0; \
341          done          echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
342            cd "$(DESTDIR)$(bindir)" && rm -f $$files
343    
344  mostlyclean-compile:  mostlyclean-compile:
345          -rm -f *.$(OBJEXT)          -rm -f *.$(OBJEXT)
# Line 283  distclean-compile: Line 350  distclean-compile:
350  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bti.Po@am__quote@  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bti.Po@am__quote@
351    
352  .c.o:  .c.o:
353  @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<  @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
354  @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po  @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
355    @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
356  @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@  @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
357  @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@  @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
358  @am__fastdepCC_FALSE@   $(COMPILE) -c $<  @am__fastdepCC_FALSE@   $(COMPILE) -c $<
359    
360  .c.obj:  .c.obj:
361  @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`  @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
362  @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po  @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
363    @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
364  @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@  @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
365  @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@  @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
366  @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`  @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
367  install-man1: $(man1_MANS) $(man_MANS)  install-man1: $(dist_man_MANS)
368          @$(NORMAL_INSTALL)          @$(NORMAL_INSTALL)
369          test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"          test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
370          @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \          @list=''; test -n "$(man1dir)" || exit 0; \
371          l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \          { for i in $$list; do echo "$$i"; done; \
372          for i in $$l2; do \          l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
373            case "$$i" in \            sed -n '/\.1[a-z]*$$/p'; \
374              *.1*) list="$$list $$i" ;; \          } | while read p; do \
375            esac; \            if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
376              echo "$$d$$p"; echo "$$p"; \
377            done | \
378            sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
379                  -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
380            sed 'N;N;s,\n, ,g' | { \
381            list=; while read file base inst; do \
382              if test "$$base" = "$$inst"; then list="$$list $$file"; else \
383                echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
384                $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
385              fi; \
386          done; \          done; \
387          for i in $$list; do \          for i in $$list; do echo "$$i"; done | $(am__base_list) | \
388            if test -f $$i; then file=$$i; \          while read files; do \
389            else file=$(srcdir)/$$i; fi; \            test -z "$$files" || { \
390            ext=`echo $$i | sed -e 's/^.*\\.//'`; \              echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
391            case "$$ext" in \              $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
392              1*) ;; \          done; }
393              *) ext='1' ;; \  
           esac; \  
           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \  
           inst=`echo $$inst | sed -e 's/^.*\///'`; \  
           inst=`echo $$inst | sed '$(transform)'`.$$ext; \  
           echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \  
           $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \  
         done  
394  uninstall-man1:  uninstall-man1:
395          @$(NORMAL_UNINSTALL)          @$(NORMAL_UNINSTALL)
396          @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \          @list=''; test -n "$(man1dir)" || exit 0; \
397          l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \          files=`{ for i in $$list; do echo "$$i"; done; \
398          for i in $$l2; do \          l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
399            case "$$i" in \            sed -n '/\.1[a-z]*$$/p'; \
400              *.1*) list="$$list $$i" ;; \          } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
401            esac; \                -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
402          done; \          test -z "$$files" || { \
403          for i in $$list; do \            echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
404            ext=`echo $$i | sed -e 's/^.*\\.//'`; \            cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
           case "$$ext" in \  
             1*) ;; \  
             *) ext='1' ;; \  
           esac; \  
           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \  
           inst=`echo $$inst | sed -e 's/^.*\///'`; \  
           inst=`echo $$inst | sed '$(transform)'`.$$ext; \  
           echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \  
           rm -f "$(DESTDIR)$(man1dir)/$$inst"; \  
         done  
405    
406  ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)  ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
407          list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \          list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
# Line 353  tags: TAGS Line 415  tags: TAGS
415    
416  TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \  TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
417                  $(TAGS_FILES) $(LISP)                  $(TAGS_FILES) $(LISP)
418          tags=; \          set x; \
419          here=`pwd`; \          here=`pwd`; \
420          list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \          list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
421          unique=`for i in $$list; do \          unique=`for i in $$list; do \
# Line 361  TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEP Line 423  TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEP
423            done | \            done | \
424            $(AWK) '{ files[$$0] = 1; nonempty = 1; } \            $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
425                END { if (nonempty) { for (i in files) print i; }; }'`; \                END { if (nonempty) { for (i in files) print i; }; }'`; \
426          if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \          shift; \
427            if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
428            test -n "$$unique" || unique=$$empty_fix; \            test -n "$$unique" || unique=$$empty_fix; \
429            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \            if test $$# -gt 0; then \
430              $$tags $$unique; \              $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
431                  "$$@" $$unique; \
432              else \
433                $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
434                  $$unique; \
435              fi; \
436          fi          fi
437  ctags: CTAGS  ctags: CTAGS
438  CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \  CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
439                  $(TAGS_FILES) $(LISP)                  $(TAGS_FILES) $(LISP)
         tags=; \  
440          list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \          list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
441          unique=`for i in $$list; do \          unique=`for i in $$list; do \
442              if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \              if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
443            done | \            done | \
444            $(AWK) '{ files[$$0] = 1; nonempty = 1; } \            $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
445                END { if (nonempty) { for (i in files) print i; }; }'`; \                END { if (nonempty) { for (i in files) print i; }; }'`; \
446          test -z "$(CTAGS_ARGS)$$tags$$unique" \          test -z "$(CTAGS_ARGS)$$unique" \
447            || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \            || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
448               $$tags $$unique               $$unique
449    
450  GTAGS:  GTAGS:
451          here=`$(am__cd) $(top_builddir) && pwd` \          here=`$(am__cd) $(top_builddir) && pwd` \
452            && cd $(top_srcdir) \            && $(am__cd) $(top_srcdir) \
453            && gtags -i $(GTAGS_ARGS) $$here            && gtags -i $(GTAGS_ARGS) "$$here"
454    
455  distclean-tags:  distclean-tags:
456          -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags          -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
457    
458  distdir: $(DISTFILES)  distdir: $(DISTFILES)
459            @list='$(MANS)'; if test -n "$$list"; then \
460              list=`for p in $$list; do \
461                if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
462                if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
463              if test -n "$$list" && \
464                grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
465                echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
466                grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
467                echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
468                echo "       typically \`make maintainer-clean' will remove them" >&2; \
469                exit 1; \
470              else :; fi; \
471            else :; fi
472          $(am__remove_distdir)          $(am__remove_distdir)
473          test -d $(distdir) || mkdir $(distdir)          test -d "$(distdir)" || mkdir "$(distdir)"
474          @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \          @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
475          topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \          topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
476          list='$(DISTFILES)'; \          list='$(DISTFILES)'; \
# Line 406  distdir: $(DISTFILES) Line 486  distdir: $(DISTFILES)
486            if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \            if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
487            if test -d $$d/$$file; then \            if test -d $$d/$$file; then \
488              dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \              dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
489                if test -d "$(distdir)/$$file"; then \
490                  find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
491                fi; \
492              if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \              if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
493                cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \                cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
494                  find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
495              fi; \              fi; \
496              cp -pR $$d/$$file $(distdir)$$dir || exit 1; \              cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
497            else \            else \
498              test -f $(distdir)/$$file \              test -f "$(distdir)/$$file" \
499              || cp -p $$d/$$file $(distdir)/$$file \              || cp -p $$d/$$file "$(distdir)/$$file" \
500              || exit 1; \              || exit 1; \
501            fi; \            fi; \
502          done          done
503          -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \          -test -n "$(am__skip_mode_fix)" \
504            || find "$(distdir)" -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
505            ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \            ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
506            ! -type d ! -perm -400 -exec chmod a+r {} \; -o \            ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
507            ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \            ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
508          || chmod -R a+r $(distdir)          || chmod -R a+r "$(distdir)"
509  dist-gzip: distdir  dist-gzip: distdir
510          tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz          tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
511          $(am__remove_distdir)          $(am__remove_distdir)
# Line 433  dist-lzma: distdir Line 518  dist-lzma: distdir
518          tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma          tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
519          $(am__remove_distdir)          $(am__remove_distdir)
520    
521    dist-xz: distdir
522            tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
523            $(am__remove_distdir)
524    
525  dist-tarZ: distdir  dist-tarZ: distdir
526          tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z          tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
527          $(am__remove_distdir)          $(am__remove_distdir)
# Line 461  distcheck: dist Line 550  distcheck: dist
550            bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\            bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
551          *.tar.lzma*) \          *.tar.lzma*) \
552            unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\            unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
553            *.tar.xz*) \
554              xz -dc $(distdir).tar.xz | $(am__untar) ;;\
555          *.tar.Z*) \          *.tar.Z*) \
556            uncompress -c $(distdir).tar.Z | $(am__untar) ;;\            uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
557          *.shar.gz*) \          *.shar.gz*) \
# Line 472  distcheck: dist Line 563  distcheck: dist
563          mkdir $(distdir)/_build          mkdir $(distdir)/_build
564          mkdir $(distdir)/_inst          mkdir $(distdir)/_inst
565          chmod a-w $(distdir)          chmod a-w $(distdir)
566            test -d $(distdir)/_build || exit 0; \
567          dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \          dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
568            && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \            && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
569            && cd $(distdir)/_build \            && am__cwd=`pwd` \
570              && $(am__cd) $(distdir)/_build \
571            && ../configure --srcdir=.. --prefix="$$dc_install_base" \            && ../configure --srcdir=.. --prefix="$$dc_install_base" \
572              $(DISTCHECK_CONFIGURE_FLAGS) \              $(DISTCHECK_CONFIGURE_FLAGS) \
573            && $(MAKE) $(AM_MAKEFLAGS) \            && $(MAKE) $(AM_MAKEFLAGS) \
# Line 496  distcheck: dist Line 589  distcheck: dist
589            && rm -rf "$$dc_destdir" \            && rm -rf "$$dc_destdir" \
590            && $(MAKE) $(AM_MAKEFLAGS) dist \            && $(MAKE) $(AM_MAKEFLAGS) dist \
591            && rm -rf $(DIST_ARCHIVES) \            && rm -rf $(DIST_ARCHIVES) \
592            && $(MAKE) $(AM_MAKEFLAGS) distcleancheck            && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
593              && cd "$$am__cwd" \
594              || exit 1
595          $(am__remove_distdir)          $(am__remove_distdir)
596          @(echo "$(distdir) archives ready for distribution: "; \          @(echo "$(distdir) archives ready for distribution: "; \
597            list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \            list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
598            sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'            sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
599  distuninstallcheck:  distuninstallcheck:
600          @cd $(distuninstallcheck_dir) \          @$(am__cd) '$(distuninstallcheck_dir)' \
601          && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \          && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
602             || { echo "ERROR: files left after uninstall:" ; \             || { echo "ERROR: files left after uninstall:" ; \
603                  if test -n "$(DESTDIR)"; then \                  if test -n "$(DESTDIR)"; then \
# Line 546  clean-generic: Line 641  clean-generic:
641    
642  distclean-generic:  distclean-generic:
643          -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)          -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
644            -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
645    
646  maintainer-clean-generic:  maintainer-clean-generic:
647          @echo "This command is intended for maintainers to use"          @echo "This command is intended for maintainers to use"
# Line 568  dvi-am: Line 664  dvi-am:
664    
665  html: html-am  html: html-am
666    
667    html-am:
668    
669  info: info-am  info: info-am
670    
671  info-am:  info-am:
# Line 576  install-data-am: install-man Line 674  install-data-am: install-man
674    
675  install-dvi: install-dvi-am  install-dvi: install-dvi-am
676    
677    install-dvi-am:
678    
679  install-exec-am: install-binPROGRAMS install-binSCRIPTS  install-exec-am: install-binPROGRAMS install-binSCRIPTS
680    
681  install-html: install-html-am  install-html: install-html-am
682    
683    install-html-am:
684    
685  install-info: install-info-am  install-info: install-info-am
686    
687    install-info-am:
688    
689  install-man: install-man1  install-man: install-man1
690    
691  install-pdf: install-pdf-am  install-pdf: install-pdf-am
692    
693    install-pdf-am:
694    
695  install-ps: install-ps-am  install-ps: install-ps-am
696    
697    install-ps-am:
698    
699  installcheck-am:  installcheck-am:
700    
701  maintainer-clean: maintainer-clean-am  maintainer-clean: maintainer-clean-am
# Line 617  uninstall-man: uninstall-man1 Line 725  uninstall-man: uninstall-man1
725    
726  .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \  .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
727          clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \          clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
728          dist-gzip dist-lzma dist-shar dist-tarZ dist-zip distcheck \          dist-gzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
729          distclean distclean-compile distclean-generic distclean-local \          distcheck distclean distclean-compile distclean-generic \
730          distclean-tags distcleancheck distdir distuninstallcheck dvi \          distclean-local distclean-tags distcleancheck distdir \
731          dvi-am html html-am info info-am install install-am \          distuninstallcheck dvi dvi-am html html-am info info-am \
732          install-binPROGRAMS install-binSCRIPTS install-data \          install install-am install-binPROGRAMS install-binSCRIPTS \
733          install-data-am install-dvi install-dvi-am install-exec \          install-data install-data-am install-dvi install-dvi-am \
734          install-exec-am install-html install-html-am install-info \          install-exec install-exec-am install-html install-html-am \
735          install-info-am install-man install-man1 install-pdf \          install-info install-info-am install-man install-man1 \
736          install-pdf-am install-ps install-ps-am install-strip \          install-pdf install-pdf-am install-ps install-ps-am \
737          installcheck installcheck-am installdirs maintainer-clean \          install-strip installcheck installcheck-am installdirs \
738          maintainer-clean-generic mostlyclean mostlyclean-compile \          maintainer-clean maintainer-clean-generic mostlyclean \
739          mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \          mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
740          uninstall-am uninstall-binPROGRAMS uninstall-binSCRIPTS \          tags uninstall uninstall-am uninstall-binPROGRAMS \
741          uninstall-man uninstall-man1          uninstall-binSCRIPTS uninstall-man uninstall-man1
742    
743    
744  %.1: %.xml  %.1: %.xml
# Line 661  git-release: Line 769  git-release:
769          cat .git/refs/heads/master > .git/refs/tags/$(VERSION)          cat .git/refs/heads/master > .git/refs/tags/$(VERSION)
770          git gc          git gc
771          git prune          git prune
772    
773  # Tell versions [3.59,3.63) of GNU make to not export all variables.  # Tell versions [3.59,3.63) of GNU make to not export all variables.
774  # Otherwise a system limit (for SysV at least) may be exceeded.  # Otherwise a system limit (for SysV at least) may be exceeded.
775  .NOEXPORT:  .NOEXPORT:

Legend:
Removed from v.1951  
changed lines
  Added in v.1952

  ViewVC Help
Powered by ViewVC 1.1.26